Pistis
API referenceConnections

Connect your account to an MCP server with a pasted token

PUT
/connections/mcp/{server}

For a server that takes a pasted token (one that connects with OAuth answers 400). The token is kept in the secret store and never shown again.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

server*string

A per-person MCP server

Request Body

application/json
  1. body
token*string

Response Body

Connected

application/json
  1. response
ok*unknown
Example Request
curl -X PUT 'http://127.0.0.1:7777/connections/mcp/linear' \  -H 'Content-Type: application/json' \  -d '{  "token": "lin_api_…"}'
Example Response
{  "ok": true}